﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleApp
{
	public partial class MonthCellViewPage : ContentPage
	{
		ScheduleAppointmentMapping dataMapping;
		ObservableCollection<Meeting> meetings;
		ScheduleViewModel viewModel;
		public MonthCellViewPage()
		{
			InitializeComponent();
			viewModel = new ScheduleViewModel();
			meetings = new ObservableCollection<Meeting>();
			dataMapping = new ScheduleAppointmentMapping();
			dataMapping.SubjectMapping = "EventName";
			dataMapping.StartTimeMapping = "From";
			dataMapping.EndTimeMapping = "To";
			dataMapping.ColorMapping = "color";
			Schedule.AppointmentMapping = dataMapping;
			meetings = viewModel.ListOfMeeting;
			Schedule.DataSource = meetings;
		}
	}
}
